"use strict";
exports.__esModule = true;
var resolve = require("resolve");
function resolvePackageDir(basedir, packageName) {
    var packagePath;
    function packageFilter(pkg, pkgfile) {
        packagePath = pkgfile;
        return pkg;
    }
    try {
        resolve.sync(packageName, { basedir: basedir, packageFilter: packageFilter });
    }
    catch (ignored) {
        // resolve.sync throws if no main: is present
        // Some packages (such as @types/*) do not have a main
        // As long as we have a packagePath, it's fine
    }
    return packagePath;
}
exports.resolvePackageDir = resolvePackageDir;
